## freecraft 1.20

=== debian/changelog ===
freecraft (1:1.20-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Add Build-Dep on pkg-config to fix FTBFS. (Closes:
    #669440)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 30 Apr 2012 19:09:45 +0200

freecraft (1:1.20-1) unstable; urgency=high

  * Fixing indirect linking error by linking the main program explicitly
    against libm and libdl (Closes: #615715)
  * Fixing category name in the .desktop file
  * Enabling silent rules in the autotool build script

 -- Lincoln de Sousa Primo Clarete <lincoln@minaslivre.org>  Sat, 26 Mar 2011 00:04:44 -0300

freecraft (1:1.19-3) unstable; urgency=high

  * Switch to dpkg-source 3.0 (quilt) format
  * Clean up of Conflicts/Provides/Removes lists
  * Adding ${misc:Depends} to Depends list of freecraft{,-dbg}
  * Moving the -dbg package to the debug Section
  * Removing icon and .desktop files from the debian dir, it's being done
    by the upstream
  * Removing libsvga1-dev from the Build-Depends list, freecraft does not
    use it (Closes: #592765).
  * Changing Standards-Version to 3.9.1 version
  * Switch debhelper dependency to 7.0
  * Overriding dh_strip in debian/rules file to generate a non-empty -dbg
    package (Closes: #594509).
  * Adding Vcs-{Browser,Git} vars to the debian/control file

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Mon, 06 Sep 2010 17:36:17 -0300

freecraft (1:1.19-2) unstable; urgency=high

   * Fixing Build-Depends list by adding pkg-config (Closes: #558657)

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Fri, 13 Nov 2009 19:54:21 -0200

freecraft (1:1.19) unstable; urgency=low

  * Fixing x86_64 support (Closes: #454306, #406077)
  * Fixed -F fullscreen parameter (Closes: #455683)
  * Changing the building system to use autotools
  * Rewritting the debian/rules file to be compatible with dh7

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Fri, 30 Oct 2009 12:48:14 -0200

freecraft (1:1.18-4) unstable; urgency=low

  * This package should not be removed =) (Closes: #499336)
  * Fixing a build dependency (Closes: #483456)
  * Removing reference of Stratagus in control file (Closes: #490585)
  * Adding a .desktop file so that freecraft shows up in xdg-based
    menus. (Closes: #510411)
  * Adding sharutils as build dependency, because of uudecode used to
    decode freecraft icon.
  * Removing freecraft.{dirs,files} because they useless and fixing
    it in rules.
  * Removing useless libglib1.2 as build dependency.
  * Don't detect warnings as errors when built with DEB_BUILD_OPTIONS=noopt.
    (Closes: #454305) patch by Carsten Hey.
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Cyril Brulebois for the patch.
    (Closes: #404223) patch by Carsten Hey.

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Tue, 13 Jan 2009 15:26:46 -0200

freecraft (1:1.18-3) unstable; urgency=low

  * New maintainer.
  * Fixing segfault when using missiles in a border of
    the map. (Closes: #406732, #423630)
  * Fixing segfault in deathcoil when trying to use against buildings.
  * Generating a -dbg package.
  * Updating control file (changing Standars-Version variable to 3.8.0)
  * Better description of copyright holders in copyright file and changing
    to the machine readable format.

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Sat, 01 Nov 2008 20:11:29 -0200

freecraft (1:1.18-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed debian/patches/15_debian_X11_dependency.dpatch so it doesn't care
    about source package's directory name (Closes: 483319)

 -- Patryk Cisek <patryk@prezu.one.pl>  Thu, 24 Jul 2008 17:18:18 +0200

freecraft (1:1.18-2.3) unstable; urgency=low

  * Non-maintainer upload to apply patch provided by Adriaan Peeters to fix a
    compile-time dependency on X11 libs.  (Closes: #377991)

 -- Margarita Manterola <marga@debian.org>  Wed, 19 Jul 2006 10:34:59 -0300

freecraft (1:1.18-2.2) unstable; urgency=low

  * Non-maintainer upload to solve build problems.
  * Change build depend from 'libpng3-dev (>= 1.2.1-2)' to
    libpng12-dev to avoid future build problem.  libpng3-dev will be
    removed in the future.  (Closes: #303699)
  * Change build depend from 'xlibs-dev (>> 4.1.0)' to 'libx11-dev,
    libxext-dev, x-dev', as xlibx-dev is being removed from Debian.
    (Closes: #346669)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Jan 2006 00:06:50 +0100

freecraft (1:1.18-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build problems with gcc4 on amd64. (Closes: #289039)
  * Updated the address for FSF in copyright.
  * Updated Standards-Version to 3.6.2.1 (no changes required).
  * Removed VI footer in changelog to avoid lintian warning.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  5 Sep 2005 08:25:55 +0200

freecraft (1:1.18-2) unstable; urgency=high

  * The "One year later freecraft is not going to be replaced, yet" release.
  * Urgency set to high because this version fixes a buffer overrun in
    SetMessage(). Many thanks to Andrew Rodland and Tom Goulet for their
    analysis and further patch from stratagus (closes: #270698).
  * Changed all the files to UTF-8.
  * debian/control:
    - Changed CPU to check to make it OS-agnostic. Thanks to Robert Millan
      (closes: #231771).
    - Changed Description to reflect that Stratagus replaced FreeCraft and
      that FreeCraft is not further developed.
    - Bumped Standards-Version to 3.6.1.
    - Added missing ${misc:Depends}.
    - Removed non-versioned build-dependency on bash, since it is an essential
      package.
  * src/ui/menus.c: Patch by Willem van Engen to fix a problem in the editor
    when no files could be saved in an empty directory (closes: #228857).

 -- David Martínez Moreno <ender@debian.org>  Sun,  3 Oct 2004 01:37:26 +0200

freecraft (1:1.18-1) unstable; urgency=medium

  * New upstream release (closes: #182909). This really fixes the fcmp
    breakage as well (closes: #185657).
  * This is a much more advanced version, with tons of bugs fixed (literally).

