=== debian/control ===
Source: freecraft
Section: games
Priority: optional
Maintainer: Lincoln de Sousa Primo Clarete <lincoln@minaslivre.org>
Build-Depends: libx11-dev, libxext-dev, libsdl1.2-dev (>> 1.2.2),
 libsdl1.2debian, libpng12-dev, libbz2-dev, debhelper (>= 7.0.50~),
 pkg-config
Standards-Version: 3.9.1
Vcs-Browser: http://git.comum.org/gitweb.cgi?p=lincoln/debian/freecraft.git
Vcs-Git: http://git.comum.org/lincoln/debian/freecraft.git

Package: freecraft
Architecture: any
Depends: fcmp (>= 1.18.20030306-1), ${shlibs:Depends}, ${misc:Depends}
Description: Realtime fantasy strategy game for Unix and X
 FreeCraft is a clone of the realtime fantasy strategy game WarCraft II
 from Blizzard Entertainment, although it could be used to build other
 games similar to C&C or AoE. It is nearly feature complete compared to
 the original game, and includes a handful of Neat New Features, such as
 queuing peon/fighter production, finding out idle workers, and a completely
 new AI. It also has network connectivity for up to 16 players.
 .
 FreeCraft is not maintained by the upstream anymore, this is the last
 stable version of FreeCraft.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2 and SDL support (the last one only for i386 arches). The
 sound options will depend on your personal election on SDL packages.

Package: freecraft-dbg
Architecture: any
Priority: extra
Section: debug
Depends: freecraft, ${misc:Depends}
Description: Realtime fantasy strategy game - Debugging simbols
 FreeCraft is a clone of the realtime fantasy strategy game WarCraft II
 from Blizzard Entertainment, although it could be used to build other
 games similar to C&C or AoE. It is nearly feature complete compared to
 the original game, and includes a handful of Neat New Features, such as
 queuing peon/fighter production, finding out idle workers, and a completely
 new AI. It also has network connectivity for up to 16 players.
 .
 This package contains unstripped binaries used for debugging.
