=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_strip:
	dh_strip -p freecraft --dbg-package=freecraft-dbg; \
	dh_strip -s --remaining-packages
